EDIT - feature request #2985

Improve Specimen details display
07/19/2012 03:14 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal

Description

split of from to #2411

1. Altitude
AbsoluteElevationMaximum can be left out if it is the same as Minimum. Better we show:

e Altitude: 3400 m or
¢ Altitude: 3400 -3500 m

Always use meter as unit as the field is defined this way !!
DONE
2. There is further information available that does not show up like
2.a additional areas
should be shown with the area level such as
¢ level: area label
Best would be if ordered by levels
DONE implemented as names area page
2.b Extensions
best shown as
ExtensionType: text
On the very bottom
DONE
2.c Determinations (not so urgent, but data exists)
Later we will also need "duplicates" but this still needs further discussion

Worksforme

Related issues:

Copied to EDIT - feature request #9244: Improve NamedArea page New
Copied to EDIT - feature request #3502: extensions not yet handled in compose... New
Copied to EDIT - task #8419: Harmonization of the different specimen represen... In Progress

Associated revisions

Revision 5a079dbf - 11/29/2016 06:01 PM - Andreas Kohlbecker

ref #2985 units in min max measures only at the end and after the error value
Revision 0820cdc0 - 11/30/2016 06:40 PM - Andreas Kohlbecker

ref #2985 output of extensions implemented generically and for occurrences

Revision 4ce9478d - 11/30/2016 06:41 PM - Andreas Kohlbecker

ref #2985 controller method to return extensions with type and solving probelm with pagin of sets in generic controller

Revision 2f53d13b - 12/01/2016 11:42 AM - Andreas Kohlbecker
ref #2985 fixing init strategy to add the gateringEvent.collectingAreas

Revision 30845bda - 12/01/2016 12:56 PM - Andreas Kohlbecker

ref #2985 implementing named area page to make area details like level accessible

Revision 381b3519 - 12/01/2016 01:30 PM - Andreas Kohlbecker

ref #2985 portal controller for named areas

History

#1 - 07/19/2012 03:15 PM - Andreas Kohlbecker

- Subject changed from Improve Sepecimen details display to Improve Specimen details display

#2 - 03/24/2015 03:45 PM - Andreas Kohlbecker
- Target version changed from cdm_dataportal RELEASE 3.5.0 to cdm_dataportal RELEASE 3.5.1

moving tickets to next milestone

#3 - 05/04/2015 05:10 PM - Andreas Miiller
- Target version deleted (cdm_dataportal RELEASE 3.5.1)

move open 3.5.1 tickets to next milestone after release

#4 - 06/04/2015 04:54 PM - Andreas Miiller

- Target version deleted ()

#5 - 07/22/2015 11:53 AM - Andreas Kohlbecker

- Keywords set to Flore-Afrique-Centrale, Specimen,

#6 - 07/22/2015 11:56 AM - Andreas Miiller
- Target version deleted (cdm_dataportal RELEASE 3.8)

Review issue 1 in milestone 3.9. Issue 2 is not that important but probably fast to implement.

#7 - 12/18/2015 12:23 PM - Andreas Miiller
- Target version deleted (Release 3.12)

#8 - 05/02/2016 03:06 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#9 - 06/01/2016 01:23 PM - Andreas Miiller

- Target version changed from Release 4.1 to Release 4.2

#10 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#11 - 09/26/2016 09:59 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#12 - 11/29/2016 06:00 PM - Andreas Kohlbecker
- Description updated
- Status changed from New to In Progress

- Private changed from Yes to No

#13 - 11/29/2016 06:03 PM - Andreas Kohlbecker

- Description updated

#14 - 11/29/2016 06:04 PM - Andreas Kohlbecker
- Description updated

- % Done changed from 0 to 10
#15 - 11/30/2016 10:21 AM - Andreas Kohlbecker
Hi Andreas M.
the the original ticket you wrote:
additional areas should be shown with the area level such as

level: area label
Best would be if ordered by levels

| guess you are referring to the Country field. For this | don't see the necessity to add the area level and thus will abstain from implementing this
feature.

#16 - 11/30/2016 10:22 AM - Andreas Kohlbecker

- Description updated
#17 - 11/30/2016 10:49 AM - Andreas Miiller
Andreas Kohlbecker wrote:
Hi Andreas M.
the the original ticket you wrote:
additional areas should be shown with the area level such as

level: area label
Best would be if ordered by levels

| guess you are referring to the Country field. For this | don't see the necessity to add the area level and thus will abstain from implementing this
feature.

No, | refer to the additional areas (GatheringEvent.collectingAreas). For them it is often important to know if they are provinces, states, cities, ...

#18 - 11/30/2016 10:49 AM - Andreas Miuiller

- Description updated

#19 - 11/30/2016 06:42 PM - Andreas Kohlbecker

- Description updated

#20 - 12/01/2016 12:57 PM - Andreas Kohlbecker
- Description updated

- Status changed from In Progress to Resolved
Andreas M: please review

#21 - 12/01/2016 12:57 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

#22 - 12/01/2016 12:57 PM - Andreas Kohlbecker
- % Done changed from 10 to 50
#23 - 01/06/2017 10:09 AM - Andreas Muller
- Description updated
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

1) works well

2a) works well in terms of area level being shown, but | wonder if the new Named Area page could not be more comprehensive. Why does it not show
abbrev label, description, named area type, URI, valid period, and maybe also supplemental data.

Also the ordering by levels is not yet implemented

2b) works correctly, however, if possible | would remove the label "Extensions": extensions are thought to be dynamic attributes to avoid model
limitations; for users of the data portal it should not make a difference if information is stored as extension or in an explicit "top level" field like locality,
so information stored in extensions should show up as if they were top level information

2c) generally works, but maybe some minor improvements could be done:

if no description is given the string ends with a comma, a trailing comma should be avoided

taxa, if available (and maybe also names, if only name is available) could be linked

if a modifier is given a space is missing between the name and the modifier

preferably use abbrev label for the modifier, only if not available use label (however, the determination modifiers are not yet correctly
implemented in the model as they can be found at various positions in the name, so we need a model change and a fomatter for these before it
can be handled really correctly

#24 - 01/06/2017 10:10 AM - Andreas Muller

| created some test data at
http:/test.e-taxonomy.eu/dataportal/preview/cyprus/cdm_dataportal/taxon/066e04d3-b586-4d6d-bb6a-454daa3b60b0/specimens

#25 - 10/09/2020 12:44 PM - Andreas Kohlbecker

- Tags changed from flore-afrique-centrale, specimen to flore-afrique-centrale, specimen, specimens-view-path

#26 - 10/09/2020 12:47 PM - Andreas Kohlbecker
- Copied to feature request #9244: Improve NamedArea page added

#27 - 10/09/2020 01:16 PM - Andreas Kohlbecker

- Copied to feature request #3502: extensions not yet handled in compose_cdm_specimenOrObservation() added

#28 - 10/09/2020 01:18 PM - Andreas Kohlbecker

- Copied to task #8419: Harmonization of the different specimen representations added

#29 - 10/09/2020 01:19 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

remaining issues and suggestions from comment 23 copied to other issues.

So we can close this issue now.
